# ReflectionClass::hasProperty

(PHP 5 >= 5.1.2, PHP 7)

ReflectionClass::hasProperty — Checks if property is defined

### Description

public ReflectionClass::hasProperty ( string `$name` ) : bool

Checks whether the specified property is defined.

### Parameters

`name`

  Name of the property being checked for.

### Return Values

`TRUE` if it has the property, otherwise `FALSE`

### Examples

Example #1 ReflectionClass::hasProperty() example

`<?php
class Foo {
public $p1;
protected $p2;
private $p3;
}
$obj = new ReflectionObject(new Foo());
var_dump($obj->hasProperty("p1"));
var_dump($obj->hasProperty("p2"));
var_dump($obj->hasProperty("p3"));
var_dump($obj->hasProperty("p4"));
?>`

The above example will output something similar to:

    bool(true)
    bool(true)
    bool(true)
    bool(false)

### See Also

- ReflectionClass::hasConstant() - Checks if constant is defined
- ReflectionClass::hasMethod() - Checks if method is defined